## com.google.javascript.jscomp.graph
Interface UndiGraph.UndiGraphNode<N,E>

Type Parameters:
  `N` - Value type that the graph node stores.
  `E` - Value type that the graph edge stores.

All Superinterfaces:
  Annotatable, GraphNode<N,E>

Enclosing class:
  UndiGraph<N,E>

    public static interface UndiGraph.UndiGraphNode<N,E>

extends GraphNode<N,E>

A generic undirected graph node.

Method Summary
`List<UndiGraph.UndiGraphEdge<N,E>>` | `getNeighborEdges()`
`Iterator<UndiGraph.UndiGraphEdge<N,E>>` | `getNeighborEdgesIterator()`

Methods inherited from interface com.google.javascript.jscomp.graph.GraphNode
`getValue`

Methods inherited from interface com.google.javascript.jscomp.graph.Annotatable
`getAnnotation, setAnnotation`

Method Detail

### getNeighborEdges

    List<UndiGraph.UndiGraphEdge<N,E>> getNeighborEdges()

### getNeighborEdgesIterator

    Iterator<UndiGraph.UndiGraphEdge<N,E>> getNeighborEdgesIterator()